Get a disbursement

Get a disbursement by its unique identifier.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The unique identifier for the disbursement

Response

The disbursement was retrieved
idstringRead-only
The unique identifier for the disbursement
organization_idstring
The unique identifier for the organization that will receive the payment
program_idstring
The unique identifier for the program that the disbursement belongs to
amountlong
The payment amount in USD cents. Must be a positive amount.
organizationobject

An Organization represents an operating nonprofit or an operating sub-organization of a parent or sponsoring nonprofit. The generally accepted identifier for an organization is its domain. This domain provides proof of identity, ownership and relationship to an entity. Organizations can receive payments from payers on the network.

descriptionstring
A description for the disbursement
auto_fundbooleanRead-only

Whether just-in-time (JIT) funding is enabled for this disbursement. When true, Chariot automatically creates an inbound transfer for the disbursement amount when it is approved.

created_atstringRead-onlyformat: "date-time"
The date and time the disbursement was created
updated_atstringRead-onlyformat: "date-time"
The date and time the disbursement was last updated
statusenum
The lifecycle status of the disbursement. Possible values include: - `pending_approval`: The disbursement is awaiting approval from the grantmaker - `canceled`: The disbursement was canceled by the grantmaker - `awaiting_verification`: The disbursement is awaiting verification from Chariot - `rejected`: The disbursement was rejected by Chariot before being submitted - `validating_organization`: Validating recipient organization's payment and contact information before submission. - `awaiting_account_claim`: The disbursement is awaiting account claim by the nonprofit or check delay expiration - `awaiting_balance`: The disbursement is awaiting sufficient grantmaker balance - `submitted`: The disbursement payment has been submitted to the payment network and is being processed - `stopped`: The disbursement payment was stopped after it was submitted - `completed`: The disbursement payment has been completed and funds have been received by the receiving organization - `failed`: The disbursement payment failed or the receiving organization did not receive the payment To see a description of each status, see the "Disbursement Lifecycle" section of the Chariot documentation.
cancelationobject
If your account requires approvals for disbursements and the disbursement was not approved, this will contain the details of the cancelation.
approvalobject
If your account requires approvals for disbursements and the disbursement was approved, this will contain the details of the approval.
rejectionobject
If the disbursement was rejected by Chariot, this will contain details as to why the disbursement was rejected.
verificationobject
If the disbursement has been verified by Chariot, this will contain the verification details.
stopobject
If the disbursement was stopped by the grantmaker after it was submitted, this will contain the details of the stop.
program_detailsobject
Details about the program that the disbursement belongs to.
transferslist of objects
The list of transfers for the disbursement. This can have multiple items if the disbursement's underlying payment was retried multiple times. For example, if a check was returned or stopped and the disbursement was retried as an ACH transfer. If the disbursement was not retried, this will have a single item.
transactionslist of objects
The list of transactions for the disbursement

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error